cascading.flow.planner.iso.subgraph.partitioner

## Class UniquePathGraphPartitioner

- java.lang.Object
- - cascading.flow.planner.iso.subgraph.GraphPartitioner
  - - cascading.flow.planner.iso.subgraph.partitioner.ExpressionGraphPartitioner
    - - cascading.flow.planner.iso.subgraph.partitioner.UniquePathGraphPartitioner

-     public class UniquePathGraphPartitioner
      extends ExpressionGraphPartitioner

- - ### Field Summary

    - ### Fields inherited from class cascading.flow.planner.iso.subgraph.partitioner.ExpressionGraphPartitioner

      `annotations, contractionGraph, expressionGraph`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UniquePathGraphPartitioner(ExpressionGraph contractionGraph, ExpressionGraph expressionGraph, boolean includeRemainders, ElementAnnotation... annotations)`
    `UniquePathGraphPartitioner(ExpressionGraph contractionGraph, ExpressionGraph expressionGraph, ElementAnnotation... annotations)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected SubGraphIterator` | `wrapIterator(ExpressionSubGraphIterator expressionIterator)`

    - ### Methods inherited from class cascading.flow.planner.iso.subgraph.partitioner.ExpressionGraphPartitioner

      `getAnnotations, getContractionGraph, getExpressionGraph, partition, setAnnotations`

    - ### Methods inherited from class cascading.flow.planner.iso.subgraph.GraphPartitioner

      `partition`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UniquePathGraphPartitioner

          public UniquePathGraphPartitioner(ExpressionGraph contractionGraph,
                                    ExpressionGraph expressionGraph,
                                    ElementAnnotation... annotations)

    - #### UniquePathGraphPartitioner

          public UniquePathGraphPartitioner(ExpressionGraph contractionGraph,
                                    ExpressionGraph expressionGraph,
                                    boolean includeRemainders,
                                    ElementAnnotation... annotations)

  - ### Method Detail

    - #### wrapIterator

          protected SubGraphIterator wrapIterator(ExpressionSubGraphIterator expressionIterator)

      Overrides:
        `wrapIterator` in class `ExpressionGraphPartitioner`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.